Bug 489149 - anaconda crashes after preupgrade F9->F10 in getBestKernelByArch()
anaconda crashes after preupgrade F9->F10 in getBestKernelByArch()
Status: CLOSED INSUFFICIENT_DATA
Product: Fedora
Classification: Fedora
Component: anaconda (Show other bugs)
10
i686 Linux
low Severity high
: ---
: ---
Assigned To: Anaconda Maintenance Team
Fedora Extras Quality Assurance
:
Depends On:
Blocks:
  Show dependency treegraph
 
Reported: 2009-03-08 04:25 EDT by oddskool
Modified: 2009-06-08 14:13 EDT (History)
6 users (show)

See Also:
Fixed In Version:
Doc Type: Bug Fix
Doc Text:
Story Points: ---
Clone Of:
Environment:
Last Closed: 2009-06-08 14:13:40 EDT
Type: ---
Regression: ---
Mount Type: ---
Documentation: ---
CRM:
Verified Versions:
Category: ---
oVirt Team: ---
RHEL 7.3 requirements from Atomic Host:
Cloudforms Team: ---


Attachments (Terms of Use)

  None (edit)
Description oddskool 2009-03-08 04:25:35 EDT
Description of problem:

anaconda crashes with ~SackError raised after preupgrade F9->F10 in getBestKernelByArch() in /usr/lib/python2.5/site-packages/yum/yum~.py

Version-Release number of selected component (if applicable):
F10 

How reproducible:
every time

Steps to Reproduce:
0. system with F9 fully updated as of march 8th 2009 (only official repos)
1. preupgrade-cli "Fedora 10 (Cambridge)"
2. reboot
3. anaconda downloads install.img then crashes with aforementioned exception
  
Actual results:
crash, reboot

Expected results:
upgrade successful

Additional info:
- CPU is Athlon 64 but installed F9 is 32 bits :
# uname -a
Linux XXX 2.6.27.12-78.2.8.fc9.i686 #1 SMP Mon Jan 19 20:14:35 EST 2009 i686 athlon i386 GNU/Linux
- box is a Shuttle xPC
Comment 1 Chris Lumens 2009-03-09 10:16:45 EDT
Please attach the complete traceback to this bug report so we can see exactly what is going on.  Thanks.

Note You need to log in before you can comment on or make changes to this bug.